List license types
curl --request GET \
--url https://api.withorb.com/v1/license_types \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.withorb.com/v1/license_types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withorb.com/v1/license_types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"grouping_key": "<string>"
}
],
"pagination_metadata": {
"has_more": true,
"next_cursor": "<string>"
}
}{
"type": "https://docs.withorb.com/reference/error-responses#400-constraint-violation",
"status": 400,
"detail": "<string>",
"title": "<string>"
}{
"type": "https://docs.withorb.com/reference/error-responses#401-authentication-error",
"status": 401,
"detail": "<string>",
"title": "<string>"
}{
"type": "https://docs.withorb.com/reference/error-responses#404-feature-not-available",
"status": 400,
"detail": "<string>",
"title": "<string>"
}{
"type": "https://docs.withorb.com/reference/error-responses#409-resource-conflict",
"status": 409,
"detail": "<string>",
"title": "<string>"
}{
"type": "https://docs.withorb.com/reference/error-responses#413-request-too-large",
"status": 413,
"detail": "<string>",
"title": "<string>"
}{
"type": "https://docs.withorb.com/reference/error-responses#429-too-many-requests",
"status": 429,
"detail": "<string>",
"title": "<string>"
}{
"type": "https://docs.withorb.com/reference/error-responses#500-internal-server-error",
"status": 123,
"detail": "<string>",
"title": "<string>"
}LicenseType
List license types
This endpoint returns a list of all license types configured for the account, ordered in ascending order by creation time.
License types are used to group licenses and define billing behavior. Each license type has a name and a grouping key that determines how metrics are aggregated for billing purposes.
GET
/
license_types
List license types
Authorizations
API Keys can be issued in the Orb's web application.
Query Parameters
The number of items to fetch. Defaults to 20.
Required range:
1 <= x <= 100Cursor for pagination. This can be populated by the next_cursor value returned from the initial request.
Was this page helpful?
⌘I